## org.apache.lucene.search.vectorhighlight
Class SimpleFragmentsBuilder

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder
          org.apache.lucene.search.vectorhighlight.SimpleFragmentsBuilder

All Implemented Interfaces:
  FragmentsBuilder

    public class SimpleFragmentsBuilder

extends BaseFragmentsBuilder

A simple implementation of FragmentsBuilder.

Field Summary

Fields inherited from class org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder
`COLORED_POST_TAGS, COLORED_PRE_TAGS, postTags, preTags`

Constructor Summary
`SimpleFragmentsBuilder()` a constructor.
`SimpleFragmentsBuilder(java.lang.String[] preTags, java.lang.String[] postTags)` a constructor.

Method Summary
`java.util.List<FieldFragList.WeightedFragInfo>` `getWeightedFragInfoList(java.util.List<FieldFragList.WeightedFragInfo> src)` do nothing.

Methods inherited from class org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder
`createFragment, createFragments, getFields, getFieldValues, getFragmentSource, getFragmentSource, getPostTag, getPreTag, makeFragment, makeFragment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFragmentsBuilder

    public SimpleFragmentsBuilder()

  a constructor.

### SimpleFragmentsBuilder

    public SimpleFragmentsBuilder(java.lang.String[] preTags,
                                  java.lang.String[] postTags)

  a constructor.

  Parameters:
    `preTags` - array of pre-tags for markup terms.
    `postTags` - array of post-tags for markup terms.

Method Detail

### getWeightedFragInfoList

    public java.util.List<FieldFragList.WeightedFragInfo> getWeightedFragInfoList(java.util.List<FieldFragList.WeightedFragInfo> src)

  do nothing. return the source list.

  Specified by:
    `getWeightedFragInfoList` in class `BaseFragmentsBuilder`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.